/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "TraDemGen", "index.html", [
    [ "TraDemGen Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "TraDemGen at SourceForge", "index.html#at_sourceforge", null ],
      [ "TraDemGen Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support TraDemGen", "index.html#social_sponsorship", null ],
      [ "About TraDemGen", "index.html#about", null ]
    ] ],
    [ "People", "a01440.html", [
      [ "Project Admins (and Developers)", "a01440.html#admins", null ],
      [ "Retired Developers", "a01440.html#retired", null ],
      [ "Contributors", "a01440.html#contributors", null ],
      [ "Distribution Maintainers", "a01440.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a01441.html", [
      [ "Default Naming Rules for Variables", "a01441.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a01441.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a01441.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a01441.html#cr_files", null ],
      [ "Default Functionality of Classes", "a01441.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a01442.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a01442.html#gnugpl", [
        [ "Version 2.1, February 1999", "a01442.html#version", null ]
      ] ],
      [ "Preamble", "a01442.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a01442.html#terms", [
        [ "NO WARRANTY", "a01442.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a01442.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a01442.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a01443.html", [
      [ "General Rules", "a01443.html#doc_general", null ],
      [ "File Header", "a01443.html#doc_header", null ],
      [ "Grouping Various Parts", "a01443.html#doc_groups", null ]
    ] ],
    [ "Main features", "a01444.html", [
      [ "Demand generation", "a01444.html#ft_demand_generation", null ],
      [ "Other features", "a01444.html#ft_others", null ]
    ] ],
    [ "Make a Difference", "a01445.html", null ],
    [ "Make a new release", "a01446.html", [
      [ "Introduction", "a01446.html#description", null ],
      [ "Initialisation", "a01446.html#initialisation", null ],
      [ "Release branch maintenance", "a01446.html#branch_creation", null ],
      [ "Commit and publish the release branch", "a01446.html#branch_publish", null ],
      [ "Create distribution packages", "a01446.html#create_packages", null ],
      [ "Upload the HTML documentation to SourceForge", "a01446.html#upload_doc", null ],
      [ "Generate the RPM packages", "a01446.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a01446.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a01446.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "a01446.html#upload_files", null ],
      [ "Make a new post", "a01446.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "a01446.html#send_announce", null ]
    ] ],
    [ "Installation", "a01447.html", [
      [ "Table of Contents", "a01447.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a01447.html#rpm_linux", null ],
      [ "TraDemGen Requirements", "a01447.html#requirements", null ],
      [ "Basic Installation", "a01447.html#basic_instructions", null ],
      [ "Compilers and Options", "a01447.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a01447.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a01447.html#installation_names", null ],
      [ "Optional Features", "a01447.html#optional_features", null ],
      [ "Particular systems", "a01447.html#particular_systems", null ],
      [ "Specifying the System Type", "a01447.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a01447.html#sharing_defaults", null ],
      [ "Defining Variables", "a01447.html#defining_variables", null ],
      [ "`cmake' Invocation", "a01447.html#cmake_invocation", null ]
    ] ],
    [ "Linking with TraDemGen", "a01448.html", [
      [ "Introduction", "a01448.html#intro", null ],
      [ "Using the pkg-config command", "a01448.html#pkgconfig", null ],
      [ "Using the trademgen-config script", "a01448.html#trademgen_config", null ],
      [ "M4 macro for the GNU Autotools", "a01448.html#autotools", null ],
      [ "Using TraDemGen with dynamic linking", "a01448.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a01449.html", [
      [ "The Test Source Files", "a01449.html#test_source", null ],
      [ "The Reference File", "a01449.html#reference_file", null ],
      [ "Testing TraDemGen Library", "a01449.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a01450.html", [
      [ "Table of Contents", "a01450.html#ug_toc", null ],
      [ "Introduction", "a01450.html#ug_introduction", null ],
      [ "Get Started", "a01450.html#ug_get_started", [
        [ "Get the TraDemGen library", "a01450.html#ug_get_source", null ],
        [ "Build the TraDemGen project", "a01450.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a01450.html#ug_build_and_run_tests", null ],
        [ "Install the TraDemGen Project (Binaries, Documentation)", "a01450.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a01450.html#ug_bom_tree", [
        [ "Demand Stream Engine BOM Tree", "a01450.html#ug_bom_demand_stream", null ]
      ] ],
      [ "Extending the BOM Tree", "a01450.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a01451.html", [
      [ "TraDemGen 3.10.x", "a01451.html#trademgen_3_10", [
        [ "Linux Systems", "a01451.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a01451.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a01451.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a01451.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a01451.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a01451.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with TraDemGen External", "a01451.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a01451.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a01451.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a01451.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a01451.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a01451.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a01451.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a01451.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and TraDemGen External", "a01451.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a01451.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a01451.html#unix", [
          [ "SunOS 5.9 with TraDemGen External", "a01451.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "TraDemGen Supported Systems (Previous Releases)", "a01452.html", [
      [ "TraDemGen 3.9.1", "a01452.html#trademgen_3_9_1", null ],
      [ "TraDemGen 3.9.0", "a01452.html#trademgen_3_9_0", null ],
      [ "TraDemGen 3.8.1", "a01452.html#trademgen_3_8_1", null ]
    ] ],
    [ "Tutorials", "a01453.html", [
      [ "Table of Contents", "a01453.html#tut_toc", null ],
      [ "Introduction", "a01453.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a01453.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a01453.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a01453.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a01453.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a01453.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a01453.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a01453.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a01453.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a01453.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a01453.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a01453.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a01453.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Use TraDemGen elements", "a01454.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00783.html",
"a00879.html#a7abbda75537e50280f51da701bb457e4",
"a01443.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';